For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportPlayground
DocumentationAPI ReferenceRelease Notes
DocumentationAPI ReferenceRelease Notes
  • SDKs
    • Client SDKs
    • Node.js
    • Python
  • Autonomous API Reference
    • POSTBrowse
    • POSTRetrieve
  • Step API Reference
    • POSTCreate Session
    • STREAMStep Session
    • DELClose Session
    • GETScreenshot
    • GETList Sessions
LogoLogo
SupportPlayground
Autonomous API Reference

Browse

POST
https://api.multion.ai/v1/web/browse
POST
/v1/web/browse
$curl -X POST https://api.multion.ai/v1/web/browse \
> -H "X_MULTION_API_KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "cmd": "Find the top post on Hackernews.",
> "url": "https://news.ycombinator.com/"
>}'
1{
2 "message": "Memorizing the following information: The top post on Hacker News is \"Show HN: Sonauto – a more controllable AI music creator\" with 219 points.\n",
3 "status": "DONE",
4 "url": "https://news.ycombinator.com/",
5 "screenshot": "https://api.multion.ai/v1/web/screenshot/1",
6 "session_id": "1",
7 "metadata": {
8 "step_count": 1,
9 "processing_time": 10,
10 "temperature": 0.2
11 }
12}

Allows for browsing the web using detailed natural language commands.

The function supports multi-step command execution based on the CONTINUE status of the Agent.

Was this page helpful?
Previous

Retrieve

Next
Built with

Authentication

X_MULTION_API_KEYstring
API Key authentication via header

Request

This endpoint expects an object.
cmdstringRequired
A specific natural language instruction for the agent to execute
urlstringOptional

The URL to start or continue browsing from. (Default: google.com)

localbooleanOptional

Boolean flag to indicate if session to be run locally or in the cloud (Default: False). If set to true, the session will be run locally via your chrome extension. If set to false, the session will be run in the cloud.

session_idstringOptional

Continues the session with session_id if provided.

max_stepsintegerOptionalDefaults to 20

Maximum number of steps to execute. (Default: 20)

include_screenshotbooleanOptional

Boolean flag to include a screenshot of the final page. (Default: False)

temperaturedoubleOptional
The temperature of model
agent_idstringOptional
The agent id to use for the session.
modeenumOptional
The mode you would like to use for the session. 'fast' or 'standard'
Allowed values:
use_proxybooleanOptional

Boolean flag to use a proxy for the session (Default: False). Each Session gets a new Residential IP.

Response

This endpoint returns an object.
messagestring
The final message or result of the browsing session.
statusstring

The final status of the browsing session. One of [“CONTINUE”, “ASK_USER”, “DONE”]

urlstring
The current URL of the session.
screenshotstring
image url of the screenshot taken during the session.
session_idstring
The unique identifier for the session.
metadataobject
Additional metadata for the session

Errors

400
Bad Request
401
Unauthorized
402
Payment Required
422
Unprocessable Entity
500
Internal Server Error